System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.Design.IDesignerHost System.IServiceProvider

An can implement this interface to enable support for loading by a .

The designer loader informs the designer host that it needs to invoke a load or reload so that the designer host can perform additional tasks at these times.

This class is isolated from to emphasize that the designer loader, not the designer host, must initiate all loading and reloading of the design document.

Provides an interface that can extend a designer host to support loading from a serialized state.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The that loads the design document calls this method to indicate that the load terminated.

  If errors are encountered during loading, they must be passed in the parameter as a collection of exceptions. If they are not exceptions, the designer loader host can call on them and pass them as a collection. If the load is successful, then the parameter must be either null or an empty collection.

  Ends the designer loading operation.

  The fully qualified name of the base class of the document that this designer is designing. true if the designer is successfully loaded; otherwise, false. A collection containing the errors encountered during load, if any. If no errors were encountered, pass either an empty collection or null.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The calls this method to reload the design document.

  Reloads the design document.